iTunes

Der iTunes Store wird geöffnet.Falls iTunes nicht geöffnet wird, klicken Sie auf das iTunes Symbol im Dock oder auf dem Windows Desktop.Progress Indicator
Der iBooks Store wird geöffnet.Falls iBooks nicht geöffnet wird, klicken Sie im Dock auf die iBooks-App.Progress Indicator
iTunes

iTunes is the world's easiest way to organize and add to your digital media collection.

iTunes wurde auf Ihrem Computer nicht gefunden. Jetzt iTunes holen, um die kostenlose App Which MBA? 2011-12 from The Economist von The Economist zu laden.

iTunes ist schon installiert? Klicken Sie auf „Ich habe iTunes“, um es jetzt zu öffnen.

I Have iTunes Gratis-Download
iTunes für Mac + PC

Which MBA? 2011-12 from The Economist

von The Economist

Öffnen Sie iTunes, um Apps zu kaufen und zu laden.

Beschreibung

Find the MBA that suits you best from the world’s top 100 programmes. Rate the importance of over 20 criteria to reflect your professional and personal goals and the Which MBA app will give you a personal ranking, based on data collected from schools and around 20,000 students.

FEATURES
- Customise the criteria that you want to use to determine your choices of programmes
- View The Economist’s ranking of the world’s top 100 schools
- Access profiles of the schools, including application details, careers statistics and programme specialities
- Read details about other programmes, such as executive, part-time and distance-learning MBAs
- Bookmark the programmes that you are considering into your favourites list
- Access the programmes instantly through Google maps and email

Neue Funktionen von Version 3.1

Updated graphics

iPhone Screenshot

iPhone Screenshot 1
iPhone Screenshot 2
iPhone Screenshot 3
iPhone Screenshot 4

Kundenrezensionen

Great App

Really awesome app saving a lot of time and effort in searching and comparing MBA programms that fit best to your personal criteria.

Which MBA? 2011-12 from The Economist
In iTunes ansehen
  • Gratis
  • Kategorie: Bildung
  • Aktualisiert:
  • Version: 3.1
  • Größe: 0.9 MB
  • Sprache: Englisch
  • Entwickler:

Kompatibilität: Erfordert iOS 3.0 oder neuer. Kompatibel mit iPhone, iPad und iPod touch.

Kundenbewertungen

Wir haben noch nicht genügend Bewertungen erhalten, um einen Durchschnittswert für die aktuelle Version dieses Artikels anzeigen zu können.